Skip to content
NoetherDocs

POST /v1/keys

POST
/v1/keys

Exchange a signed challenge for a freshly minted API key + secret.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/keys" \  -H "Content-Type: application/json" \  -d '{    "address": "stringstringstringstringstringstringstringstringstringst",    "challenge": "string",    "signature": "string"  }'
{  "keyId": "string",  "secret": "string",  "tier": "string",  "owner": "string",  "createdAt": 0}